none
WinCE 5.0 to WinCE 6.0

    Question

  • Hi All,

    my current application is running in WinCE 5.0 but then we decided to upgrade to WinCE 6.0.

    after upgrade to WinCE 6.0, my existing application that able to run in WinCE 5.0 now cannot run in WinCE 6.0.

    below is the error message,

    TypeLoadException File or assembly name

    'System.Data.SqlServeCe, Version=3.0.3600.0, Culture=neutral, PublicKeyToken=3BE235DF1C8D2AD3', or one of its dependencies, was not found.

    can someone help me on this? what should i do? thank you in advance.

    Monday, January 07, 2013 5:00 PM

Answers

  • That is because your app is using SQL CE 3.x but it is not installed on the device.

    Please make sure you have a proper version of SQL CE installed on that device. If not then install it.


    This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, January 07, 2013 5:09 PM
  • Hi All,

    my current application is running in WinCE 5.0 but then we decided to upgrade to WinCE 6.0.

    after upgrade to WinCE 6.0, my existing application that able to run in WinCE 5.0 now cannot run in WinCE 6.0.

    below is the error message,

    TypeLoadException File or assembly name

    'System.Data.SqlServeCe, Version=3.0.3600.0, Culture=neutral, PublicKeyToken=3BE235DF1C8D2AD3', or one of its dependencies, was not found.

    can someone help me on this? what should i do? thank you in advance.

    You just have to installed corresponding/proper sql ce version on your Device then your application will run perfectly.
    let me know if you still have same  issue.
    Tuesday, January 08, 2013 12:22 PM

All replies

  • That is because your app is using SQL CE 3.x but it is not installed on the device.

    Please make sure you have a proper version of SQL CE installed on that device. If not then install it.


    This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, January 07, 2013 5:09 PM
  • Hi All,

    my current application is running in WinCE 5.0 but then we decided to upgrade to WinCE 6.0.

    after upgrade to WinCE 6.0, my existing application that able to run in WinCE 5.0 now cannot run in WinCE 6.0.

    below is the error message,

    TypeLoadException File or assembly name

    'System.Data.SqlServeCe, Version=3.0.3600.0, Culture=neutral, PublicKeyToken=3BE235DF1C8D2AD3', or one of its dependencies, was not found.

    can someone help me on this? what should i do? thank you in advance.

    You just have to installed corresponding/proper sql ce version on your Device then your application will run perfectly.
    let me know if you still have same  issue.
    Tuesday, January 08, 2013 12:22 PM
  • Hi,

    I have marked these replies as answer.
    If you disagree, please unmark it, and post your doubt.

    Regards,


    Elegentin Xie
    MSDN Community Support | Feedback to us
    Develop and promote your apps in Windows Store
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Tuesday, January 15, 2013 7:06 AM